Skip to content

upsertMaintenanceDispatch

WRITE

Upsert maintenance dispatch.

POST /api/v1/resources/upsertMaintenanceDispatch
curl -X POST '<your-host>/api/v1/resources/upsertMaintenanceDispatch' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": "Open",
    "priority": "Low",
    "locationId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
"Low""Medium""High""Critical"
"Open""Assigned""In Progress""Completed""Cancelled"
"Down""Planned""Impact""No Impact"
"Preventive""Operator Performed""Support Required""OEM Required"
"Scheduled""Reactive""Non-Conformance"

Input schema

schema
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "Open",
        "Assigned",
        "In Progress",
        "Completed",
        "Cancelled"
      ]
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "severity": {
      "type": "string",
      "enum": [
        "Preventive",
        "Operator Performed",
        "Support Required",
        "OEM Required"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Scheduled",
        "Reactive",
        "Non-Conformance"
      ]
    },
    "oeeImpact": {
      "type": "string",
      "enum": [
        "Down",
        "Planned",
        "Impact",
        "No Impact"
      ]
    },
    "workCenterId": {
      "type": "string"
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "suspectedFailureModeId": {
      "type": "string"
    },
    "plannedStartTime": {
      "type": "string"
    },
    "plannedEndTime": {
      "type": "string"
    },
    "takesWorkCenterOffline": {
      "type": "boolean"
    },
    "assignee": {
      "type": [
        "string",
        "null"
      ]
    },
    "content": {},
    "maintenanceDispatchId": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "status",
    "priority",
    "locationId",
    "_operation"
  ]
}